# Uses of Class
org.apache.sysds.runtime.compress.utils.IntArrayList

Packages that use IntArrayList
Package
Description
org.apache.sysds.runtime.compress.bitmap
org.apache.sysds.runtime.compress.colgroup.dictionary
org.apache.sysds.runtime.compress.colgroup.indexes
org.apache.sysds.runtime.compress.colgroup.insertionsort
org.apache.sysds.runtime.compress.colgroup.mapping
org.apache.sysds.runtime.compress.colgroup.offset
org.apache.sysds.runtime.compress.utils

## Uses of IntArrayList in org.apache.sysds.runtime.compress.bitmap

Methods in org.apache.sysds.runtime.compress.bitmap that return IntArrayList
Modifier and Type
Method
Description
`final IntArrayList[]`
ABitmap.`getOffsetList()`
Get all the offset lists.
`final IntArrayList`
ABitmap.`getOffsetsList(int idx)`
Get a specific offset list.

## Uses of IntArrayList in org.apache.sysds.runtime.compress.colgroup.dictionary

Methods in org.apache.sysds.runtime.compress.colgroup.dictionary with parameters of type IntArrayList
Modifier and Type
Method
Description
`IDictionary`
DeltaDictionary.`sliceColumns(IntArrayList selectedColumns, int nCol)`
`IDictionary`
Dictionary.`sliceColumns(IntArrayList selectedColumns, int nCol)`
`IDictionary`
IdentityDictionary.`sliceColumns(IntArrayList selectedColumns, int nCol)`
`IDictionary`
IdentityDictionarySlice.`sliceColumns(IntArrayList selectedColumns, int nCol)`
`IDictionary`
IDictionary.`sliceColumns(IntArrayList selectedColumns, int nCol)`
Slice out the selected columns given of this encoded group.
`IDictionary`
MatrixBlockDictionary.`sliceColumns(IntArrayList selectedColumns, int nCol)`
`static double[]`
MatrixBlockDictionary.`sliceColumns(MatrixBlock mb, IntArrayList selectedColumns)`
`IDictionary`
PlaceHolderDict.`sliceColumns(IntArrayList selectedColumns, int nCol)`
`IDictionary`
QDictionary.`sliceColumns(IntArrayList selectedColumns, int nCol)`

## Uses of IntArrayList in org.apache.sysds.runtime.compress.colgroup.indexes

Methods in org.apache.sysds.runtime.compress.colgroup.indexes with parameters of type IntArrayList
Modifier and Type
Method
Description
`static IColIndex`
ColIndexFactory.`create(IntArrayList indexes)`

## Uses of IntArrayList in org.apache.sysds.runtime.compress.colgroup.insertionsort

Methods in org.apache.sysds.runtime.compress.colgroup.insertionsort with parameters of type IntArrayList
Modifier and Type
Method
Description
`static AInsertionSorter`
InsertionSorterFactory.`create(int endLength, int numRows, IntArrayList[] offsets, InsertionSorterFactory.SORT_TYPE st)`
`static AInsertionSorter`
InsertionSorterFactory.`create(int numRows, IntArrayList[] offsets, InsertionSorterFactory.SORT_TYPE st)`
`static AInsertionSorter`
InsertionSorterFactory.`createNegative(int endLength, int numRows, IntArrayList[] offsets, int negativeIndex, InsertionSorterFactory.SORT_TYPE st)`
`static AInsertionSorter`
InsertionSorterFactory.`createNegative(int numRows, IntArrayList[] offsets, int negativeIndex, InsertionSorterFactory.SORT_TYPE st)`
Constructors in org.apache.sysds.runtime.compress.colgroup.insertionsort with parameters of type IntArrayList
Modifier
Constructor
Description
``
`AInsertionSorter(int endLength, int numRows, IntArrayList[] offsets)`
``
`AInsertionSorter(int endLength, int numRows, IntArrayList[] offsets, int negativeIndex)`
``
`MergeSort(int endLength, int numRows, IntArrayList[] offsets)`
``
`MergeSort(int endLength, int numRows, IntArrayList[] offsets, int negativeIndex)`

## Uses of IntArrayList in org.apache.sysds.runtime.compress.colgroup.mapping

Methods in org.apache.sysds.runtime.compress.colgroup.mapping with parameters of type IntArrayList
Modifier and Type
Method
Description
`static AMapToData`
MapToFactory.`create(int unique, IntArrayList values)`
`AMapToData`
AMapToData.`removeEmpty(IntArrayList select)`
Use the offsets of the select vector to choose which values to keep.

## Uses of IntArrayList in org.apache.sysds.runtime.compress.colgroup.offset

Fields in org.apache.sysds.runtime.compress.colgroup.offset declared as IntArrayList
Modifier and Type
Field
Description
`final IntArrayList`
AOffset.RemoveEmptyOffsetsTmp.`select`
Methods in org.apache.sysds.runtime.compress.colgroup.offset with parameters of type IntArrayList
Modifier and Type
Method
Description
`static AOffset`
OffsetFactory.`createOffset(IntArrayList indexes)`
Create the offsets based on our primitive IntArrayList.

## Uses of IntArrayList in org.apache.sysds.runtime.compress.utils

Fields in org.apache.sysds.runtime.compress.utils declared as IntArrayList
Modifier and Type
Field
Description
`final IntArrayList`
DblArrayIntListHashMap.DArrayIListEntry.`value`
`IntArrayList`
DoubleIntListHashMap.DIListEntry.`value`
Methods in org.apache.sysds.runtime.compress.utils that return IntArrayList
Modifier and Type
Method
Description
`IntArrayList`
DblArrayIntListHashMap.`get(DblArray key)`
`IntArrayList`
DoubleIntListHashMap.`get(double key)`
Methods in org.apache.sysds.runtime.compress.utils with parameters of type IntArrayList
Modifier and Type
Method
Description
`void`
IntArrayList.`appendValue(IntArrayList value)`
Constructors in org.apache.sysds.runtime.compress.utils with parameters of type IntArrayList
Modifier
Constructor
Description
``
`DIListEntry(double ekey, IntArrayList evalue)`